<%@ page language="java" contentType="text/html; charset=iso-8859-2" %>
<%@ page import="java.util.*" %>
<%
  Cookie[] ciastka = request.getCookies();
  Cookie ciacho;
  String licznik = "0";
  for (int i=0; i<ciastka.length; i++)
  {
    if (ciastka[i].getName().equals("licznik")) licznik=ciastka[i].getValue();
  }
  Integer aux = new Integer(Integer.parseInt(licznik)+1);
  ciacho = new Cookie("licznik",aux.toString());
  ciacho.setMaxAge(10);
  response.addCookie(ciacho);
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Licznik</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<style type="text/css">
td,th,body { font-family:Verdana, Arial, Helvetica, sans-serif; font-size:10pt; }
</style>
</head>

<body>

<h3 align="center">Licznik</h3>

<p>Ilość odwiedzin:<%= aux.intValue() %></p>

</body>
</html>
